"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.showRandomHighlight = void 0;
const fs_1 = __importDefault(require("fs"));
const highlightsPath = "../temp/highlights.json";
const getRandomHighlight = () => {
    if (!fs_1.default.existsSync(highlightsPath)) {
        console.log("It seems like you don't have any highlights yet. Please run `kindle-highlight update` to sync your highlights.");
        return null;
    }
    const allBooks = JSON.parse(fs_1.default.readFileSync(highlightsPath, "utf8"));
    const randomBookIndex = Math.floor(Math.random() * allBooks.length);
    const randomBook = allBooks[randomBookIndex];
    const randomHighlightIndex = Math.floor(Math.random() * randomBook.highlights.length);
    const randomHighlight = randomBook.highlights[randomHighlightIndex];
    return {
        bookTitle: randomBook.bookTitle,
        highlight: randomHighlight.highlight,
    };
};
const showRandomHighlight = () => {
    const randomHighlight = getRandomHighlight();
    if (!randomHighlight) {
        return;
    }
    console.log(`${randomHighlight.highlight} \n\n - ${randomHighlight.bookTitle}`);
};
exports.showRandomHighlight = showRandomHighlight;
