"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.syncHighlights = void 0;
const puppeteer_1 = __importDefault(require("puppeteer"));
const getHighlight_1 = require("./getHighlight");
const login_1 = require("./login");
const startUrl = "https://read.amazon.com/kp/notebook";
const syncHighlights = async (username, password, executablePath = undefined) => {
    const browser = await puppeteer_1.default.launch({
        headless: true,
        executablePath,
    });
    const page = await browser.newPage();
    await page.goto(startUrl);
    await (0, login_1.login)(page, username, password);
    await (0, getHighlight_1.getHighLight)(page);
    await browser.close();
};
exports.syncHighlights = syncHighlights;
